cancel
Showing results for 
Search instead for 
Did you mean: 

I get the error "A plugin is needed to display this content. install plugin.." It comes up with no suitable plugins found..

Highlighted
New Contributor

I get the error "A plugin is needed to display this content. install plugin.." It comes up with no suitable plugins found..

I have tried this in IE8, Newest firefox, Chrome and all get the same issue. I have looked at so many articals and done all of the suggested things but still no luck. I am also getting this on my laptop as well. Others are not getting this issue. Any help appreciated. These are pictures I am trying to view. I know we used to be able to view them. the site is something I have to log into. www.hceusa.com is the site but I would not be able to provide any other info to log in.

Tags (3)
6 REPLIES
Support Forum Moderator

Re: I get the error "A plugin is needed to display this content. install plugin.." It comes up with no suitable plugins found..

If you can give an example from a site that is publicly available someone aught to be able to identify what you need. Regarding the troublesome site, do they not have help inormation or contact information ?

If you do need some plugin, such as FlashPlayer, you will need to ensure it is installed, enabled ans up-to-date. Also check you are not blocking it with security software. Sometmes you may need to allow cookies, or Flash Players LSO cookies. Some sites videos do not play if you block their advertising. You also may need Java enabled, have you checked that ?

Site Moderator

Re: I get the error "A plugin is needed to display this content. install plugin.." It comes up with no suitable plugins found..

Are that TIFF images?

New Contributor

Re: I get the error "A plugin is needed to display this content. install plugin.." It comes up with no suitable plugins found..

http://www.dinkytown.net/java/MortgageRefinance.html

is an example of a site where I get this message.

Site Moderator

Re: I get the error "A plugin is needed to display this content. install plugin.." It comes up with no suitable plugins found..

New Contributor

Re: I get the error "A plugin is needed to display this content. install plugin.." It comes up with no suitable plugins found..

my issue is on Android phone which I guess is redundant but need to be clear. Firefox says that search is safer due to lack of certain things but I desperately need to solve issue in getting messages, Plugins necessary in order to display this content. I don't know if this is Java. Windows, or any category & haven't made progress in weeks to solve this puzzle. I need help badly. can anyone make suggestion. I am able to login with computer to get your answers about what to try to download but cannot do it from phone due to small screen. Thanks, Bye, S

Support Forum Moderator

Re: I get the error "A plugin is needed to display this content. install plugin.." It comes up with no suitable plugins found..

If you have a separate problem it may be best to start your own new thread by asking a question